#include "paramCan.h"

int paramCan::getCS24(int n)
{
  if (((n>=1) && (n<=25)) || (n==41)) return 0xe0;
  if (n>=26 && n<=29)          return 0xc0;
  if (n>=30 && n<=33)          return 0xa0;
  if (n>=34 && n<=37)          return 0x60;
  if (n==38)                    return 0x80;
  if (n==39)                    return 0x40;
  if (n==40)                    return 0x20;
  return 0;
  
}
float paramCan::getNAPR(int n)
{
  if( n==1 || n==2 || n==8 || n==14 || n==20 ||(n>=26 && n<=41)) return 4.0;
  if( n==3 || n==9 || n==15 || n==21)  return 3.0;
  if( n==4 || n==10 || n==16 || n==22)  return 2.0;
  return 0;
  
}

char *paramCan::getNameFileScn(int n)
{
char *nmFile[] ={"nm1.scn","name2.scn","nm3Res.scn"};

  if(n<5)return nmFile[0];
  if(n>=5 && n<=20) return nmFile[1];
  return nmFile[2];
}